For the complete documentation index, see llms.txt. This page is also available as Markdown.

DescribeVirtualEdgeDatacenters

1. API Description

This API (DescribeVirtualEdgeDatacenters) is used to query Virtual Edge Gateway Data Centers

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

primaryDcId

No

String

Primary data center ID.

Used to filter available backup data centers when the access type is IPSec and HA is required.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

dcSet

Result set.

4. Code Example

Get the available Virtual Edge Gateway data center information.

POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeVirtualEdgeDatacenters
<Common Request Params>

Request: 
{
}

Response: 
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "dcSet": [
      {
        "dcId": "SIN1",
        "dcName": "AP-Singapore1",
        "cityName": "Singapore",
        "areaName": "Asia Pacific",
        "countryName": "Singapore",
        "latitude": 50.09708300,
        "longitude": 8.64414900,
        "dcAddress": "20 Ayer Rajah Crescent, Ayer Rajah Industrial Park, Singapore 139964",
        "availableBandwidth": 1000,
        "regionId": "SIN1",
        "isPortAvailable": true
      }
    ]
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated